@import "variables";
@import "mixin";

.recent-posts-section {
  padding: 25px;
  display: grid;
  grid-template-columns: 1fr 1fr;
    grid-template-areas:
    "header header"
    "post-1 post-2"
    "post-3 post-4";
  @media #{$size_1200} {
    grid-template-columns: 1fr;
    grid-template-areas:
    "header"
    "post-1"
    "post-2"
    "post-3"
    "post-4";
  }
  @media #{$size_768} {
    grid-template-columns: 1fr;
    grid-template-areas:
    "header"
    "post-1"
    "post-2"
    "post-3";
  }
}

@for $i from 1 to 5 {
  .post-#{$i} {
    grid-area: post-#{$i};
    @if ($i == 4) {
      @media #{$size_768} {
        display: none !important;
      }
    }
  }
}

.post-box {
  margin-bottom: 30px;
  display: flex;
  flex-wrap: wrap;
}

.post-cover {
  margin: 0 20px 10px 0;
}

.post-title {
  @include headerText;
}

.post-category-box {
  display: inline-block;
}

.post-category {
  @include regularText;
}

.post-category::after{
  content: ", "
}

.post-category:last-of-type::after{
  content: "";
  //color: red;
}

.post-comments {
  @include regularText;
}

.post-comments::before{
  content: "/";
  margin: 0 10px;
}

.post-description {
  @include regularText($color_headerText);
  @media #{$size_768} {
    display: none !important;
  }
}